Index: src/edu/ucsb/nceas/metacat/DBEntityResolver.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBEntityResolver.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/DBEntityResolver.java	(revision 2663)
@@ -28,6 +28,7 @@
 
 package edu.ucsb.nceas.metacat;
 
+import org.apache.log4j.Logger;
 import org.xml.sax.*;
 import org.xml.sax.helpers.DefaultHandler;
 
@@ -58,7 +59,8 @@
   private String doctype = null;
   private String systemid = null;
   private Reader dtdtext = null;
-
+  private static Logger logMetacat = Logger.getLogger(DBEntityResolver.class);
+  
   /**
    * Construct an instance of the DBEntityResolver class
    *
@@ -91,7 +93,7 @@
   public InputSource resolveEntity (String publicId, String systemId)
                      throws SAXException
   {
-    MetaCatUtil.debugMessage("in DBEntityResolver.resolveEntity", 60);
+    logMetacat.debug("in DBEntityResolver.resolveEntity");
     String dbSystemID;
     String doctype = null;
 
@@ -105,8 +107,8 @@
           // public ID is doctype
           if (publicId != null) {
             doctype = publicId;
-            MetaCatUtil.debugMessage("in get type from publicId and doctype is: "
-                                     +doctype, 50);
+            logMetacat.info("in get type from publicId and doctype is: "
+                                     +doctype);
           // assume public ID (doctype) is docname
           } else if (systemId != null) {
             doctype = dhandler.getDocname();
@@ -130,9 +132,9 @@
     // get System ID for doctype
     if (doctype != null) {
       // look at db XML Catalog for System ID
-      MetaCatUtil.debugMessage("get systemId from doctype: "+doctype, 35);
+      logMetacat.info("get systemId from doctype: "+doctype);
       dbSystemID = getDTDSystemID(doctype);
-      MetaCatUtil.debugMessage("The Systemid is: "+dbSystemID, 35);
+      logMetacat.info("The Systemid is: "+dbSystemID);
       boolean doctypeIsInDB = true;
       // no System ID found in db XML Catalog
       if (dbSystemID == null) {
@@ -141,8 +143,8 @@
         if (systemId != null) {
           dbSystemID = systemId;
         }
-        MetaCatUtil.debugMessage("If above Systemid is null and then get "
-                                 +" system id from file" + dbSystemID, 35);
+        logMetacat.info("If above Systemid is null and then get "
+                                 +" system id from file" + dbSystemID);
       }
       // there are dtd text provided; try to upload on Metacat
       if ( dtdtext != null ) {
@@ -175,7 +177,7 @@
       return is;
     } else {
       // use provided systemId for the other cases
-      MetaCatUtil.debugMessage("doctype is null and using system id from file", 50);
+      logMetacat.info("doctype is null and using system id from file");
       InputStream istream = checkURLConnection(systemId);
       return null;
 
@@ -221,8 +223,8 @@
       }//try
       catch (SQLException sqlE)
       {
-        MetaCatUtil.debugMessage("Error in DBEntityReolver.getDTDSystemId: "
-                                  +sqlE.getMessage(), 30);
+        logMetacat.error("Error in DBEntityReolver.getDTDSystemId: "
+                                  +sqlE.getMessage());
       }//catch
       finally
       {
@@ -275,8 +277,8 @@
       }//try
       catch (SQLException sqlE)
       {
-        MetaCatUtil.debugMessage("Error in DBEntityReolver.registerDTD: "
-                                    +sqlE.getMessage(), 30);
+        logMetacat.error("Error in DBEntityReolver.registerDTD: "
+                                    +sqlE.getMessage());
       }//catch
       //DBConnectionPool.returnDBConnection(conn, serialNumber);
     }//finally
